SDL_HINT_APPLE_TV_REMOTE_ALLOW_ROTATION(3)

NAME
SDL_HINT_APPLE_TV_REMOTE_ALLOW_ROTATION - A variable controlling whether the Apple TV remote's joystick axes will automatically match the rotation of the remote.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_APPLE_TV_REMOTE_ALLOW_ROTATION SDL_APPLE_TV_REMOTE_ALLOW_ROTATION"

DESCRIPTION
The variable can be set to the following values: • "0": Remote orientation does not affect joystick axes. (default) • "1": Joystick axes are based on the orientation of the remote. This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.